import { Component } from '@angular/core';
import { RouterModule } from '@angular/router';
import { NgFor } from '@angular/common';

import { User } from '../../models/user.model';
import { UserService } from '../../services/user-service';
import { UserMenuComponent } from '../user-menu/user-menu.component';

@Component({
  selector: 'app-user-list',
  standalone: true,
  imports: [RouterModule,NgFor,UserMenuComponent],
  templateUrl: './user-list.component.html',
  styleUrl: './user-list.component.css'
})
export class UserListComponent {
  users: User[] = [];

  constructor(protected userService: UserService) {
  }

  ngOnInit() {
    this.users = this.userService.getAll();
  }
}
